Subject: Re: [PATCH (repost) net-next] sched: add extack for tfilter_notify

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Nov 2022 20:51:43 -0800

On Tue, 15 Nov 2022 11:07:21 +0800 Hangbin Liu wrote:
> > IDK, we can have a kernel hook into the trace point and generate 
> > the output over netlink, like we do with drop monitor and skb_free().
> > But I really doubt that its worth it. Also you can put a USDT into OvS
> > if you don't want to restart it. There are many options, not everything
> > is a nail :S  
> 
> I have finished a patch with TCA_NTF_WARN_MSG to carry the string message.
> But looks our discussion goes to a way that this feature is not valuable?
> 
> So maybe I should stop on here?

It's a bit of a catch 22 - I don't mind the TCA_NTF_WARN_MSG itself 
but I would prefer for the extack via notification to spread to other
notifications.

If you have the code ready - post it, let's see how folks feel after
sleeping on it.